script to auto-generate makefiles for HALs

Change-Id: I9d21a811d8e2fc604702388ad1910476df16f43a
Signed-off-by: Iliyan Malchev <malchev@google.com>
diff --git a/update-makefiles.sh b/update-makefiles.sh
new file mode 100755
index 0000000..051e658
--- /dev/null
+++ b/update-makefiles.sh
@@ -0,0 +1,18 @@
+#!/bin/bash
+
+if [ ! -d hardware/interfaces ] ; then
+  echo "Where is hardware/interfaces?";
+  exit 1;
+fi
+
+packages=$(pushd hardware/interfaces > /dev/null; \
+           find -type f -name Android.mk -exec dirname {} \; | \
+           cut -c3- | \
+           awk -F'/' \
+                '{printf("android.hardware"); for(i=1;i<NF;i++){printf(".%s", $i);}; printf("@%s\n", $NF);}'; \
+           popd > /dev/null)
+
+for p in $packages; do
+  echo "Updating $p";
+  hidl-gen -Lmakefile -r android.hardware:hardware/interfaces $p;
+done